kurteev

Немного ясности о ситуации с Joomla! 1.5

  • 26.02.2014

Наше внимание привлек тот факт, что некоторые хостинг-провайдеры принуждают пользователей Joomla! 1.5 к обновлению или блокируют сайты на Joomla! 1.5, ссылаясь на проблемы с безопасностью.

Мы хотим немного разрядить обстановку и напомнить: несмотря на то, что Joomla! 1.5 официально больше не поддерживается, она все равно остается защищенной системой до тех пор, пока у вас есть патчи на все опубликованные ошибки. На данный момент неизвестно ни об одной уязвимости Joomla! 1.5.26.

Владельцы сайтов, использующие Joomla! 1.5, что вы выберете?

Идеальный вариант, если уже осуществлена миграция веб-сайта на Joomla! 2.5.x или Joomla! 3.x, или, по крайней мере, это планируется сделать в ближайшее время. Если по каким-либо причинам вы сейчас не можете выполнить миграцию, стоит связаться со своим поставщиком услуг хостинга и удостовериться в том, что они поддерживают версию Joomla! 1.5.

Если же ваш хостинг-провайдер не поддерживает сайты на Joomla! 1.5, то вы можете предпринять следующее:

  1. Перенесите сайт на хостинг, поддерживающий установку Joomla! 1.5
  2. Убедитесь, что ваш сайт использует последнюю версию 1.5.26 и применен последний патч
  3. Если у вас есть какие-либо сторонние расширения убедитесь, что у вас установлены последние версии используемых расширений. Помните, что расширения сторонних разработчиков могут содержать уязвимости
  4. Запланируйте миграцию на последнюю версию в ближайшее время

Примечания для хостинг-провайдеров

Если вы больше не хотите поддерживать Joomla! 1.5, то мы рекомендуем обучать пользователей безопасной работе с сайтом. Не рекомендуется использование обновления в “один клик”, так как оно может создать дополнительные проблемы.

Обратитесь к специалистам Joomla! которые помогут вам поддерживать ваш сайт на должном уровне безопасности, а также помогут с обновлением сайта и расширений до последних версий.

  • Стоит отметить, что миграция – сложный процесс, и может повредить тысячи ваших сайтов, если вы решили действовать по принципу «одно решение для всех», в результате вы рискуете получить большое количество проблем с поддержкой
  • Миграция с 1.5 на 2.5 может быть особенно сложной из-за огромного количества шаблонов и расширений, которые придется обновить или переписать
  • .
  • Пользователей стоит уведомить заранее о планируемой миграции – особенно если они хотят, чтобы всю миграцию за них выполнили эксперты Joomla!

Подведем итог: если у вас сайт на Joomla! 1.5 – это не конец света. Вы можете использовать её до тех пор, пока вас устраивает уровень безопасности, но владельцам сайтов стоит запланировать миграцию на более стабильную версию как можно скорее.

Для того, чтобы обсудить эту статью на форуме перейдите по ссылке: http://forum.joomla.org/viewtopic.php?f=704&t=833086

Полезные ссылки

Оригинальная статья: Setting the record straight for sites on Joomla! 1.5, Michael Babker.

Это интересно:

Комментарии  

Александр
0 # Александр 28.04.2016 20:14
У меня есть несколько сайтов моих клиентов на joomla 1.5 и эти сайты никто не блокирует, и не взламывает. Все зависит от правильной настройки и небольшой собственной защиты.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору

Добавить комментарий

Обновить
Защитный код

Joomla!® CMS — пожалуй, лучшая система управления контентом с открытым исходным кодом

Joomla! — это больше, чем просто программное обеспечение, это люди, включающие разработчиков, дизайнеров, системных администраторов, переводчиков, копирайтеров, и, что самое главное — простых пользователей.

Мы рады пригласить вас в ряды нашего сообщества!

Скачать Joomla! 3 Документация Joomla! CMS Свернуть

Новости портала

Новое в блогах

Видео